This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 66422 - vmstat gives bogus idle cpu
vmstat gives bogus idle cpu
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-10 06:30 EDT by Davide Rossetti
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-31 09:22:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a longer vmstat run showing the problem... (1.24 KB, text/plain)
2002-06-10 06:32 EDT, Davide Rossetti
no flags Details
Another sample of vmstat output (1.65 KB, text/plain)
2002-08-26 14:15 EDT, Joe Orton
no flags Details
fix for idle overflow (517 bytes, patch)
2002-09-19 17:53 EDT, Radu Greab
no flags Details | Diff

  None (edit)
Description Davide Rossetti 2002-06-10 06:30:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
on my (dual 1GBram) Dell server doing stress compilation + Tweedee's mtest,
vmstat fives bogus numbers for idle cpu

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make -j4 in linux-2.4.18-4 (smp)
2.st's mtest running (mtest -m 700 -r 10 -w 3)
3.run vmstat
	

Actual Results:  
yonkio 12:17 (96) rossetti/linux-2.4.18-4>vmstat 1
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
...
14  4  1 530064   8496    820   5220 344   0   396     0  135   105  84  17 21262213


Expected Results:  reasonable numbers :)

Additional info:
Comment 1 Davide Rossetti 2002-06-10 06:32:45 EDT
Created attachment 60269 [details]
a longer vmstat run showing the problem...
Comment 2 Joe Orton 2002-08-26 14:14:36 EDT
I've also seen this on a Null beta install, when testing Apache 2.0 on
a single 500Mhz PIII system.

Linux xxx 2.4.18-12 #1 Fri Aug 16 16:57:26 EDT 2002 i686 unknown unknown GNU/Linux

This usually happens a few times whilst running "ab -c 50 -n 100000
http://myhost/" from a different box.

Comment 3 Joe Orton 2002-08-26 14:15:26 EDT
Created attachment 73125 [details]
Another sample of vmstat output
Comment 4 Joe Orton 2002-08-26 14:21:55 EDT
Looks like the high idle time is the result of integer overflow, since the sum
of the system time and user time is greater than 100 in all the cases where it
goes haywire.
Comment 5 Radu Greab 2002-09-19 17:53:05 EDT
Created attachment 76646 [details]
fix for idle overflow
Comment 6 Daniel J Blueman 2003-01-30 07:13:24 EST
I've been experiencing this often also - can the fixed procps package be made 
available in the RH errata? It's a pain...
Comment 7 Alexander Larsson 2003-01-31 09:22:48 EST
The fix is in 2.0.11 which is in rawhide and will be in the next release. If you
want it in 7.3 i think rebuilding the SRPM will work fine.

Note You need to log in before you can comment on or make changes to this bug.